Subject: Re: bug#12008: Alphabetic sorting respect user's language and/or locale

From: martin rudalics <[email-masked]>
Date: Mon, 23 Jul 2012 17:49:49 +0200

>> Ideally, it should be possible to specify a locale-independent behavior.
 >
 > I'm confused: what is "locale-independent behavior" in this context?
 > Do you mean the ability to request a collation specific for the German
 > locale when your current system locale is something else?

Yes.

 > If so, this
 > is not locale-independent behavior as I understand it.  If you mean
 > something else, please elaborate.
 >
 >>  > (And btw, AFAIK Dired doesn't sort, it relies on 'ls' to do so, and
 >>  > 'ls' uses 'strcoll' to sort file names.
 >>
 >> I suppose this doesn't hold for the `ls' coming with GnuWin32.
 >
 > Why do you think so?  The code calls strcoll even on Windows.

But how do I request it when calling `ls'?  Or, maybe better, what can I
do to have `ls' respect my locale?

martin